## org.jfree.chart.block
Interface Block

All Superinterfaces:
  org.jfree.ui.Drawable

All Known Implementing Classes:
  BlockContainer, ColorBlock, CompositeTitle, DateTitle, EmptyBlock, ImageTitle, LabelBlock, LegendGraphic, LegendItemBlockContainer, LegendTitle, PaintScaleLegend, ShortTextTitle, TextTitle, Title

    public interface Block

extends org.jfree.ui.Drawable

A block is an arbitrary item that can be drawn (in Java2D space) within a rectangular area, has a preferred size, and can be arranged by an `Arrangement` manager.

Method Summary
`org.jfree.ui.Size2D` `arrange(java.awt.Graphics2D g2)` Arranges the contents of the block, with no constraints, and returns the block size.
`org.jfree.ui.Size2D` `arrange(java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the contents of the block, within the given constraints, and returns the block size.
`java.lang.Object` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area, java.lang.Object params)` Draws the block within the specified area.
`java.awt.geom.Rectangle2D` `getBounds()` Returns the current bounds of the block.
`java.lang.String` `getID()` Returns an ID for the block.
`void` `setBounds(java.awt.geom.Rectangle2D bounds)` Sets the bounds of the block.
`void` `setID(java.lang.String id)` Sets the ID for the block.

Methods inherited from interface org.jfree.ui.Drawable
`draw`

Method Detail

### getID

    java.lang.String getID()

  Returns an ID for the block.

  Returns:
    An ID.

### setID

    void setID(java.lang.String id)

  Sets the ID for the block.

  Parameters:
    `id` - the ID.

### arrange

    org.jfree.ui.Size2D arrange(java.awt.Graphics2D g2)

  Arranges the contents of the block, with no constraints, and returns the block size.

  Parameters:
    `g2` - the graphics device.
  Returns:
    The size of the block.

### arrange

    org.jfree.ui.Size2D arrange(java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

  Arranges the contents of the block, within the given constraints, and returns the block size.

  Parameters:
    `g2` - the graphics device.
    `constraint` - the constraint (`null` not permitted).
  Returns:
    The block size (in Java2D units, never `null`).

### getBounds

    java.awt.geom.Rectangle2D getBounds()

  Returns the current bounds of the block.

  Returns:
    The bounds.

### setBounds

    void setBounds(java.awt.geom.Rectangle2D bounds)

  Sets the bounds of the block.

  Parameters:
    `bounds` - the bounds.

### draw

    java.lang.Object draw(java.awt.Graphics2D g2,
                          java.awt.geom.Rectangle2D area,
                          java.lang.Object params)

  Draws the block within the specified area. Refer to the documentation for the implementing class for information about the `params` and return value supported.

  Parameters:
    `g2` - the graphics device.
    `area` - the area.
    `params` - optional parameters (`null` permitted).
  Returns:
    An optional return value (possibly `null`).